EDIT - bug #8482

java.lang.lllegalArgumentException: Collection is empty in
DescriptionType.includesType(DescriptionType.java:151)

08/21/2019 11:18 AM - Andreas Kohlbecker
Description

Can be reproduced by:

http:/int.e-taxonomy.eu/cdmserver/integration_palmae/portal/taxon/ce870eca-0422-4a3c-b849-0f5ca0370b1f/descriptions.json
Related issues:
Related to EDIT - task #8483: Return EnumSets in EnumeratedTermVoc.getGeneral... New

Associated revisions

Revision 244c62c6 - 08/21/2019 11:46 AM - Andreas Miiller

fix #8482 workaround fix for DescriptionType includes error

History

#1 - 08/21/2019 11:46 AM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|244c62c6bee1863dfe79d71e0ecae7bdeb4d06b5.

#2 - 08/21/2019 11:49 AM - Andreas Miiller

- Related to task #8483: Return EnumSets in EnumeratedTermVoc.getGeneralizationOf and similar methods added

#3 - 08/21/2019 12:22 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

#4 - 08/23/2019 01:12 PM - Andreas Kohlbecker
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Kohlbecker to Andreas Miiller

- % Done changed from 50 to 90

The problems obviously is fixed and the implementation looks good. Why did you comment the commit with "workaround"? Is there a more
sophisticated solution to be implemented, otherwise you can close this ticket.

#5 - 08/23/2019 03:16 PM - Andreas Miiller
- Status changed from Feedback to Closed

The more sophisticated way is to adapt the underlying method to return an EnumSet, not an ordinary Set. With EnumSet an empty set copy should
work. See related ticket #8483.

#6 - 08/23/2019 03:17 PM - Andreas Miiller
- % Done changed from 90 to 100
